Debian Bug report logs - #684473
Debian Wheezy software speech installer missing the hungarian language

version graph

Package: debian-installer; Maintainer for debian-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for debian-installer is src:debian-installer.

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Fri, 10 Aug 2012 09:39:01 UTC

Severity: normal

Fixed in version debian-installer/20120930

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#684473; Package debian-installer. (Fri, 10 Aug 2012 09:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 10 Aug 2012 09:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Hammer Attila <hammera@pickup.hu>
Cc: debian-boot@lists.debian.org, debian-accessibility@lists.debian.org, submit@bugs.debian.org
Subject: Re: Debian Wheezy software speech installer missing the hungarian language
Date: Fri, 10 Aug 2012 11:34:52 +0200
Package: debian-installer

Hammer Attila, le Fri 10 Aug 2012 07:20:17 +0200, a écrit :
> Unfortunately the hungarian language is missing. Possible adding the
> hungarian language with the language choose list?

It's not so simple. Hungarian and a lot other languages are not in
the list because for being able to speak, the installer has to use a
text-only console, which has limited text output capacities, and it is
notably not able to emit all Hungarian letters because it currently
lacks the latin2 parts.

That being said, it would be possible to have 8859-1 and 8859-2 fonts on
the CDs, to be loaded when a language is selected (as well as -3, -4,
etc.). It would permit to enable quite a few more spoken language (about
20).

That however requires some work, room on the images, and discussion,
I don't know if we'll have time for that before the release which is
already very close.

> For example now the default Espeak voice in software speech is
> english. If I future choosing hungarian language when added the list,
> I will be now hear hungarian texts with english Espeak voice.

See the Beta1 announcement mail: the switch is currently broken and will
be fixed in beta2 (#682313).

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#684473; Package debian-installer. (Fri, 10 Aug 2012 10:27:08 GMT) Full text and rfc822 format available.

Message #8 received at 684473@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Hammer Attila <hammera@pickup.hu>, debian-boot@lists.debian.org, debian-accessibility@lists.debian.org
Subject: Re: Debian Wheezy software speech installer missing the hungarian language
Date: Fri, 10 Aug 2012 12:09:51 +0200
[Message part 1 (text/plain, inline)]
Samuel Thibault <sthibault@debian.org> (10/08/2012):
> That being said, it would be possible to have 8859-1 and 8859-2 fonts on
> the CDs, to be loaded when a language is selected (as well as -3, -4,
> etc.). It would permit to enable quite a few more spoken language (about
> 20).
> 
> That however requires some work, room on the images, and discussion,
> I don't know if we'll have time for that before the release which is
> already very close.

Any estimation on the amount of needed extra space we're talking about?

Getting support for 20 extra languages looks like a worthwhile goal to me.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#684473; Package debian-installer. (Fri, 10 Aug 2012 10:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 10 Aug 2012 10:33:05 GMT) Full text and rfc822 format available.

Message #13 received at 684473@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: debian-boot@lists.debian.org, debian-accessibility@lists.debian.org, 684473@bugs.debian.org
Subject: Re: Debian Wheezy software speech installer missing the hungarian language
Date: Fri, 10 Aug 2012 12:21:17 +0200
Cyril Brulebois, le Fri 10 Aug 2012 12:09:51 +0200, a écrit :
> Samuel Thibault <sthibault@debian.org> (10/08/2012):
> > That being said, it would be possible to have 8859-1 and 8859-2 fonts on
> > the CDs, to be loaded when a language is selected (as well as -3, -4,
> > etc.). It would permit to enable quite a few more spoken language (about
> > 20).
> > 
> > That however requires some work, room on the images, and discussion,
> > I don't know if we'll have time for that before the release which is
> > already very close.
> 
> Any estimation on the amount of needed extra space we're talking about?

setfont is 40K, something like a dozen fonts would be needed, each of
them around 2K (compressed), so that would be something of 60K, not that
much indeed.

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#684473; Package debian-installer. (Sat, 25 Aug 2012 23:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 25 Aug 2012 23:45:03 GMT) Full text and rfc822 format available.

Message #18 received at 684473@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: debian-boot@lists.debian.org, debian-accessibility@lists.debian.org, 684473@bugs.debian.org, zinoviev@debian.org, debian-bsd@lists.debain.org
Subject: d-i font switch support [Was: Debian Wheezy software speech installer missing the hungarian language]
Date: Sun, 26 Aug 2012 01:32:57 +0200
[Message part 1 (text/plain, inline)]
Hello,

Samuel Thibault, le Fri 10 Aug 2012 12:21:17 +0200, a écrit :
> Cyril Brulebois, le Fri 10 Aug 2012 12:09:51 +0200, a écrit :
> > Samuel Thibault <sthibault@debian.org> (10/08/2012):
> > > That being said, it would be possible to have 8859-1 and 8859-2 fonts on
> > > the CDs, to be loaded when a language is selected (as well as -3, -4,
> > > etc.). It would permit to enable quite a few more spoken language (about
> > > 20).
> > > 
> > > That however requires some work, room on the images, and discussion,
> > > I don't know if we'll have time for that before the release which is
> > > already very close.
> > 
> > Any estimation on the amount of needed extra space we're talking about?
> 
> setfont is 40K, something like a dozen fonts would be needed, each of
> them around 2K (compressed), so that would be something of 60K, not that
> much indeed.

I've given a try, it does work (try
http://dept-info.labri.fr/~thibault/tmp/mini.iso ) with the attached
patches:

- setfont is actually already in kbd-udeb
- I have cleaned the console-setup font list a bit, to only include what
  d-i can support, and added a switch script, to be called by ...
- localechooser, which now accepts level 2 on bare linux console,
  provided that the font switch script is there.
- it's then a matter of including the console-setup-linux-fonts-udeb
  package on speakup images. The additional size is simply the fonts and
  the script, about 7*2.5KiB, thus roughly 17.5KiB.

The good thing is that the patch doesn't change the behavior for level1
languages, i.e. it should be bringing only additional behavior without
touching the existing behavior.

The bad thing is that of course, in the language question (before font
switch), localized language names for non-latin1 languages appear as
squares.  That can not really be avoided anyway.

This patch could actually be useful to BSD people, as they don't have
bterm support: they could use font switch to support level2 languages in
their text mode. I'm not sure how that is done however, it seems a
screen map also has to be loaded. A vidcontrol-udeb would have to be
introduced at least.

Just a side note:

+       gunzip < "$FONT" > /tmp/font.psf
+       setfont /tmp/font.psf
+       rm /tmp/font.psf

This is currently needed because setfont looks for gzip -d to unzip the
font.  setfont could be made to use gunzip instead, I'm not sure what I
prefer to patch at this point.

Samuel
[patch-cs (text/plain, attachment)]
[patch-localechooser (text/plain, attachment)]
[patch-di (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#684473; Package debian-installer. (Fri, 14 Sep 2012 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 14 Sep 2012 23:24:03 GMT) Full text and rfc822 format available.

Message #23 received at 684473@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: debian-boot@lists.debian.org, debian-accessibility@lists.debian.org, 684473@bugs.debian.org, zinoviev@debian.org, debian-bsd@lists.debian.org
Subject: Re: d-i font switch support [Was: Debian Wheezy software speech installer missing the hungarian language]
Date: Sat, 15 Sep 2012 01:21:33 +0200
Samuel Thibault, le Sun 26 Aug 2012 01:32:57 +0200, a écrit :
> Samuel Thibault, le Fri 10 Aug 2012 12:21:17 +0200, a écrit :
> > Cyril Brulebois, le Fri 10 Aug 2012 12:09:51 +0200, a écrit :
> > > Samuel Thibault <sthibault@debian.org> (10/08/2012):
> > > > That being said, it would be possible to have 8859-1 and 8859-2 fonts on
> > > > the CDs, to be loaded when a language is selected (as well as -3, -4,
> > > > etc.). It would permit to enable quite a few more spoken language (about
> > > > 20).
> > > > 
> > > > That however requires some work, room on the images, and discussion,
> > > > I don't know if we'll have time for that before the release which is
> > > > already very close.
> > > 
> > > Any estimation on the amount of needed extra space we're talking about?
> > 
> > setfont is 40K, something like a dozen fonts would be needed, each of
> > them around 2K (compressed), so that would be something of 60K, not that
> > much indeed.
> 
> I've given a try, it does work (try
> http://dept-info.labri.fr/~thibault/tmp/mini.iso ) with the attached
> patches:

I have now pushed them to console-setup, localechooser and
debian-installer. As I said, BSD people might want to have a look to
improve their console language support:

> This patch could actually be useful to BSD people, as they don't have
> bterm support: they could use font switch to support level2 languages in
> their text mode. I'm not sure how that is done however, it seems a
> screen map also has to be loaded. A vidcontrol-udeb would have to be
> introduced at least.

Samuel



Added tag(s) pending. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Fri, 14 Sep 2012 23:24:05 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Sun, 30 Sep 2012 13:36:04 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Sun, 30 Sep 2012 13:36:04 GMT) Full text and rfc822 format available.

Message #30 received at 684473-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 684473-close@bugs.debian.org
Subject: Bug#684473: fixed in debian-installer 20120930
Date: Sun, 30 Sep 2012 13:32:50 +0000
Source: debian-installer
Source-Version: 20120930

We believe that the bug you reported is fixed in the latest version of
debian-installer, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 684473@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated debian-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 30 Sep 2012 06:33:54 +0200
Source: debian-installer
Binary: debian-installer
Architecture: source amd64
Version: 20120930
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 debian-installer - Debian installer
Closes: 684473 686858 686861
Changes: 
 debian-installer (20120930) unstable; urgency=low
 .
   [ Samuel Thibault ]
   * Drop outdated documentation about brltty.
   * Add console-setup-linux-fonts-udeb to speakup-enabled images
     (closes: #684473).
   * Document that new languages need to specify a console-setup font name to
     be loaded.
   * Pull netdde-udeb instead of nic-modules on hurd-i386, the former providing
     the latter does not seem enough.
 .
   [ Cyril Brulebois ]
   * Apply patch from Paul Tagliamonte, updating the Joy pictures to use
     the correct brand; the Debian logo is now DFSG free.
   * When SPLASH_PNG is set, search for a matching SPLASH_SVG; if it's
     found, call rsvg-convert to generate the PNG file. Clean those on
     reallyclean. Add librsvg2-bin build-dep for rsvg-convert, restricted
     to any-{amd64,i386} (splash is used on x86, kfreebsd, and hurd).
   * Remove build/boot/{x86,kfreebsd,hurd}/pics/joy-hurd.png accordingly.
   * Fix broken kfreebsd-9 CD gtk install menuentry (add gtk/), thanks to
     Steven Chamberlain (Closes: #686858).
   * Bump MFSROOT_LIMIT from 64m to 128m for kfreebsd-amd64, thanks to Steven
     Chamberlain (Closes: #686861).
   * Add myself to Uploaders.
 .
   [ Aurelien Jarno ]
   * Install wheezy by default instead of sid on armhf and s390x.
 .
   [ Steve McIntyre ]
   * Add EFI support:
     - Add code to create bootable EFI images.
     - Add definitions for amd64 and i386 (disabled for the latter).
     - Add grub-efi.cfg
     - Add build-deps: grub-efi-{amd64,i386}-bin, grub-common, xorriso.
Checksums-Sha1: 
 526fde10b76805143a3100917dc2efa7e35a1e92 2579 debian-installer_20120930.dsc
 ae21dd7f368bbd024994f54a4befdd1c126888f7 1336856 debian-installer_20120930.tar.gz
 8b3fc9216105fdffed8948f074625c12167673ab 821334 debian-installer_20120930_amd64.deb
 4b68ae7bee8ad8072029b7834caf843f1b298061 236166242 debian-installer-images_20120930_amd64.tar.gz
Checksums-Sha256: 
 d35f1ac8cf9286d89dca6a137f60de7eee0362f3dc88e40193a181eb4a43cb2b 2579 debian-installer_20120930.dsc
 43d99a661b55c9e4a0d90e7b8052835fbcb238c117925e871368b4d4a307cc63 1336856 debian-installer_20120930.tar.gz
 b81d8f5f869d704fafe773edaf6aeedba6041a94aa82a581fc0a4bc79a971977 821334 debian-installer_20120930_amd64.deb
 acc8f74dfc98ccca32ef7278c42aa512ae283c9039ecf6fcc761d33bf06cb9d4 236166242 debian-installer-images_20120930_amd64.tar.gz
Files: 
 65dca84a6f474e9006fac40ed423c8a6 2579 devel optional debian-installer_20120930.dsc
 eb72dea519568e3ecb88f9bf900ea8e7 1336856 devel optional debian-installer_20120930.tar.gz
 fbd43a5440a075996f8613e965d80c88 821334 devel optional debian-installer_20120930_amd64.deb
 2c9f7d99982d8f7fe610a087105ae965 236166242 raw-installer - debian-installer-images_20120930_amd64.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlBn0zcACgkQeGfVPHR5Nd1pRACbBET3BuUbau8+OZ1LgazbAia3
lVUAn3YJZ3+fOp0F2jrF+jEDUe0l0YHs
=nonn
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 07 Nov 2012 07:27:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:47:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.